Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225859 - Merge Review: groff
Summary: Merge Review: groff
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:58 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-17 13:15:04 UTC
varekova: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:58:31 UTC
Fedora Merge Review: groff

http://cvs.fedora.redhat.com/viewcvs/devel/groff/
Initial Owner: mmaslano@redhat.com

Comment 1 Ivana Varekova 2007-02-26 16:15:23 UTC
- missing dist tag
- change the buildroot to recomanded:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- add %{?_smp_mflags}
- change defattr to (-,root,root,-)
- is the dependency on netpbm-progs necessary?
- is it possible to remove %makeinstall macro and use make install command?
- there should be used -p to preserve the timestamps


rpmlint output:
* srpm
W: groff summary-ended-with-dot A document formatting system.
E: groff tag-not-utf8 %changelog
E: groff non-utf8-spec-file groff.spec
W: groff prereq-use /sbin/install-info
W: groff unversioned-explicit-obsoletes groff-tools
W: groff unversioned-explicit-provides nroff-i18n
W: groff buildprereq-use byacc
E: groff hardcoded-library-path in $RPM_BUILD_ROOT/usr/lib/X11/app-defaults
W: groff mixed-use-of-spaces-and-tabs (spaces: line 145, tab: line 105)
W: groff patch-not-applied Patch14: groff-xlibs.patch
W: groff patch-not-applied Patch22: groff-1.18.1.1-bigendian.patch

*rpm
W: groff summary-ended-with-dot A document formatting system.
E: groff tag-not-utf8 %changelog
E: groff obsolete-not-provided groff-tools
E: groff only-non-binary-in-usr-lib
E: groff non-executable-script
/usr/share/groff/1.18.1.4/font/devps/generate/symbol.sed 0644
E: groff zero-length /usr/share/groff/1.18.1.4/tmac/mm/locale
E: groff non-executable-script
/usr/share/groff/1.18.1.4/font/devdvi/generate/CompileFonts 0644
E: groff non-executable-script /usr/lib/groff/groffer/version.sh 0644
E: groff zero-length /usr/share/groff/1.18.1.4/tmac/mm/se_locale
E: groff non-executable-script
/usr/share/groff/1.18.1.4/font/devps/generate/afmname 0644
E: groff-debuginfo tag-not-utf8 %changelog
W: groff-gxditview summary-ended-with-dot An X previewer for groff text
processor output.
E: groff-gxditview tag-not-utf8 %changelog
W: groff-gxditview no-documentation
W: groff-perl summary-ended-with-dot Parts of the groff formatting system that
require Perl.
E: groff-perl tag-not-utf8 %changelog


Comment 2 Marcela Mašláňová 2007-02-28 13:59:11 UTC
Fix in groff-1.18.1.4-4.fc7

Comment 3 Ivana Varekova 2007-09-04 11:10:13 UTC
There remain some problem: 
* in spec there is mmissing %{?_smp_mflags} flag.. is there any reason for this?

* rpmlint output on *.rpm is not empty
E: groff non-executable-script /usr/share/groff/1.18.1.4/groffer/version.sh 0644
E: groff non-executable-script
/usr/share/groff/1.18.1.4/font/devps/generate/symbol.sed 0644
E: groff zero-length /usr/share/groff/1.18.1.4/tmac/mm/locale
E: groff non-executable-script
/usr/share/groff/1.18.1.4/font/devdvi/generate/CompileFonts 0644
E: groff zero-length /usr/share/groff/1.18.1.4/tmac/mm/se_locale
E: groff non-executable-script
/usr/share/groff/1.18.1.4/font/devps/generate/afmname 0644
W: groff invalid-license GPL
W: groff-debuginfo invalid-license GPL
W: groff-gxditview no-documentation
W: groff-gxditview invalid-license GPL
W: groff-perl invalid-license GPL




Comment 4 Marcela Mašláňová 2007-09-11 13:17:41 UTC
Only these problems stayed:
E: groff zero-length /usr/share/groff/1.18.1.4/tmac/mm/locale
E: groff zero-length /usr/share/groff/1.18.1.4/tmac/mm/se_locale

I can't remove these files, because they are needed for the correct functionality.


Comment 5 Todd Zullinger 2007-09-14 12:59:42 UTC
Hi Marcela,

The License tag for the GNU Free Documentation License should be GFDL rather
than FDL[1]. Otherwise rpmlint will still flag the license as invalid.

[1]
http://fedoraproject.org/wiki/Licensing#head-19fc3ef10add085a28cb06784dc34ef8b05a9bd6-2

Comment 6 Marcela Mašláňová 2007-09-17 08:23:24 UTC
License tag has been fixed.

Comment 7 Ivana Varekova 2007-09-17 13:15:04 UTC
Looks ok for me, fedora release ack granted.


Note You need to log in before you can comment on or make changes to this bug.